std::hash< string > Struct Template Reference

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const string &__s) const noexcept

## Detailed Description

### template<>
struct std::hash< string >

std::hash specialization for string.

Definition at line 5657 of file basic_string.h.

The documentation for this struct was generated from the following file:

- basic_string.h